Skip to main content
GET
cURL

Path Parameters

raw_token
string
required

Response

Serializer for image detail routes with source-job fields.

id
string<uuid>
required
read-only
name
string
required
read-only

Human-readable asset name.

created_at
string<date-time>
required
read-only

Datetime when the record was created.

file
string<uri> | null
required
read-only

Image file stored on S3. Pre-signed URL may expire. To generate a new URL, call the endpoint again. If the field is null, the image hasn't been completely uploaded.

thumbnail
string<uri> | null
required
read-only

Image thumbnail

external_url
string<uri> | null
required
read-only

External URL if image is hosted elsewhere (not on our S3).

width
integer
required
read-only

Image width in pixels.

height
integer
required
read-only

Image height in pixels.

file_size
integer
required
read-only

File size in bytes. Null for text-based images.

tags
string[]
required
read-only
name_tag
string
required
read-only

Tag identifier for the asset that's based on asset's name. Used on frontend to reference the asset '@Parrot-1')

Pattern: ^[-a-zA-Z0-9_]+$
job_id
string | null
required
read-only

Return the source-job primary key.

job_type
string | null
required
read-only

Return the source-job type name.